execute as @e[type=player,gamemode=!spectator,gamemode=!creative] if predicate infection:face_mask/wearing run scoreboard players add @s infection.face_mask 1
execute as @e[type=player,gamemode=!spectator,gamemode=!creative,scores={infection.face_mask=3000..}] run function infection:face_mask/durability/damage/check

execute as @a at @s if entity @s[predicate=infection:face_mask/mending/any] positioned ~ ~0.805 ~ run function infection:face_mask/durability/repair/main

execute unless score #infection.global infection.grace_period matches 30000.. run scoreboard players add #infection.global infection.grace_period 1
execute as @e[type=player,scores={infection.grace_period=..6000}] run scoreboard players add @s infection.grace_period 1

execute as @a[tag=infection.is_infected,tag=!infection.is_healing,gamemode=!creative,gamemode=!spectator] run scoreboard players add @s infection.effect 1
execute as @a[scores={infection.effect=2940..},gamemode=!spectator,gamemode=!creative,tag=infection.overworld] run scoreboard players add @s infection.damage 1
execute as @a[scores={infection.effect=1740..},gamemode=!spectator,gamemode=!creative,tag=infection.the_nether] run scoreboard players add @s infection.damage 1
execute as @a[scores={infection.effect=1160..},gamemode=!spectator,gamemode=!creative,tag=infection.the_end] run scoreboard players add @s infection.damage 1
execute as @a[scores={infection.effect=2940..},gamemode=!spectator,gamemode=!creative,tag=infection.unknown_dimension] run scoreboard players add @s infection.damage 1

execute as @a[tag=infection.is_healing] run scoreboard players add @s infection.healing 1
execute as @a[scores={infection.healing=1200..}] run function infection:honey_stew/stop_healing

execute as @a[tag=infection.milk_bucket] run function infection:global/milk_bucket/give_effects

execute as @a[scores={infection.death=1..}] run function infection:global/death

execute if score #infection.global infection.grace_period matches 30000.. as @e[type=player,gamemode=!creative,gamemode=!spectator,tag=!infection.is_infected,tag=!infection.is_healing,predicate=!infection:face_mask/wearing,scores={infection.grace_period=6000..},predicate=infection:infection_chance] run function infection:effects/check_dimension

execute as @a[tag=infection.overworld,tag=!infection.is_healing] run function infection:effects/overworld/check
execute as @a[tag=infection.the_nether,tag=!infection.is_healing] run function infection:effects/the_nether/check
execute as @a[tag=infection.the_end,tag=!infection.is_healing] run function infection:effects/the_end/check
execute as @a[tag=infection.unknown_dimension,tag=!infection.is_healing] run function infection:effects/unknown_dimension/check

execute as @e[type=#infection:can_wear_face_mask,predicate=infection:face_mask/wearing,predicate=infection:face_mask/incorrect_data] run function infection:face_mask/entity_equip

execute as @e[type=#infection:can_spawn_with_face_mask,tag=!infection.verified] run function infection:global/check_entities

kill @e[type=item,nbt={Item:{id:"minecraft:knowledge_book"}}]